using System;
namespace takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            string[] s1 = Console.ReadLine().Split();
            if (int.Parse(s1[0]) < int.Parse(s[0]) & int.Parse(s1[1]) < int.Parse(s[1])) Console.WriteLine("?");
            else if (int.Parse(s1[0]) < int.Parse(s[0]) & int.Parse(s1[1]) == int.Parse(s[1])) Console.WriteLine("prvi");
            else if (int.Parse(s1[0]) == int.Parse(s[0]) & int.Parse(s1[1]) < int.Parse(s[1])) Console.WriteLine("drugi");
            else Console.WriteLine("nijedan");
        }
    }
}